using System;
using System.Collections;

namespace Lattice.DataMapper.UnitTest
{
	public class Order
	{
		
		private int _OrderID;
		private string _CustomerID;
		private int? _EmployeeID;
		private  DateTime?  _OrderDate;
		private  DateTime?  _RequiredDate;
		private  DateTime?  _ShippedDate;
		private int? _ShipVia;
		private decimal? _Freight;
		private string _ShipName;
		private string _ShipAddress;
		private string _ShipCity;
		private string _ShipRegion;
		private string _ShipPostalCode;
		private string _ShipCountry;

		private IList _lineItems;

		public Order()
		{
			_lineItems = new ArrayList();
		}
		
		public int OrderID
		{
			get { return _OrderID; }
			set { _OrderID = value; }
		}
		
		public string CustomerID
		{
			get { return _CustomerID; }
			set { _CustomerID = value; }
		}
		
		public int? EmployeeID
		{
			get { return _EmployeeID; }
			set { _EmployeeID = value; }
		}
		
		public  DateTime?  OrderDate
		{
			get { return _OrderDate; }
			set { _OrderDate = value; }
		}
		
		public  DateTime?  RequiredDate
		{
			get { return _RequiredDate; }
			set { _RequiredDate = value; }
		}
		
		public  DateTime?  ShippedDate
		{
			get { return _ShippedDate; }
			set { _ShippedDate = value; }
		}
		
		public int? ShipVia
		{
			get { return _ShipVia; }
			set { _ShipVia = value; }
		}
		
		public decimal? Freight
		{
			get { return _Freight; }
			set { _Freight = value; }
		}
		
		public string ShipName
		{
			get { return _ShipName; }
			set { _ShipName = value; }
		}
		
		public string ShipAddress
		{
			get { return _ShipAddress; }
			set { _ShipAddress = value; }
		}
		
		public string ShipCity
		{
			get { return _ShipCity; }
			set { _ShipCity = value; }
		}
		
		public string ShipRegion
		{
			get { return _ShipRegion; }
			set { _ShipRegion = value; }
		}
		
		public string ShipPostalCode
		{
			get { return _ShipPostalCode; }
			set { _ShipPostalCode = value; }
		}
		
		public string ShipCountry
		{
			get { return _ShipCountry; }
			set { _ShipCountry = value; }
		}
		
		public IList LineItems
		{
			get { return _lineItems; }
			set { _lineItems = value; }
		}
	}
}

